org.apache.cassandra.io.sstable

## Class SSTableMetadata.Collector

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableMetadata.Collector

- Enclosing class:
    SSTableMetadata

      public static class SSTableMetadata.Collector
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set<java.lang.Integer>` | `ancestors`
    `protected double` | `compressionRatio`
    `protected EstimatedHistogram` | `estimatedColumnCount`
    `protected EstimatedHistogram` | `estimatedRowSize`
    `protected StreamingHistogram` | `estimatedTombstoneDropTime`
    `protected long` | `maxTimestamp`
    `protected long` | `minTimestamp`
    `protected ReplayPosition` | `replayPosition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableMetadata.Collector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSTableMetadata.Collector` | `addAncestor(int generation)`
    `void` | `addColumnCount(long columnCount)`
    `void` | `addCompressionRatio(long compressed, long uncompressed)` Ratio is compressed/uncompressed and it is if you have 1.x then compression isn't helping
    `void` | `addRowSize(long rowSize)`
    `SSTableMetadata.Collector` | `estimatedColumnCount(EstimatedHistogram estimatedColumnCount)`
    `SSTableMetadata.Collector` | `estimatedRowSize(EstimatedHistogram estimatedRowSize)`
    `SSTableMetadata` | `finalizeMetadata(java.lang.String partitioner)`
    `void` | `mergeTombstoneHistogram(StreamingHistogram histogram)`
    `SSTableMetadata.Collector` | `replayPosition(ReplayPosition replayPosition)`
    `void` | `updateMaxTimestamp(long potentialMax)`
    `void` | `updateMinTimestamp(long potentialMin)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### estimatedRowSize

          protected EstimatedHistogram estimatedRowSize

    - #### estimatedColumnCount

          protected EstimatedHistogram estimatedColumnCount

    - #### replayPosition

          protected ReplayPosition replayPosition

    - #### minTimestamp

          protected long minTimestamp

    - #### maxTimestamp

          protected long maxTimestamp

    - #### compressionRatio

          protected double compressionRatio

    - #### ancestors

          protected java.util.Set<java.lang.Integer> ancestors

    - #### estimatedTombstoneDropTime

          protected StreamingHistogram estimatedTombstoneDropTime

  - ### Constructor Detail

    - #### SSTableMetadata.Collector

          public SSTableMetadata.Collector()

  - ### Method Detail

    - #### addRowSize

          public void addRowSize(long rowSize)

    - #### addColumnCount

          public void addColumnCount(long columnCount)

    - #### mergeTombstoneHistogram

          public void mergeTombstoneHistogram(StreamingHistogram histogram)

    - #### addCompressionRatio

          public void addCompressionRatio(long compressed,
                                 long uncompressed)

      Ratio is compressed/uncompressed and it is if you have 1.x then compression isn't helping

    - #### updateMinTimestamp

          public void updateMinTimestamp(long potentialMin)

    - #### updateMaxTimestamp

          public void updateMaxTimestamp(long potentialMax)

    - #### finalizeMetadata

          public SSTableMetadata finalizeMetadata(java.lang.String partitioner)

    - #### estimatedRowSize

          public SSTableMetadata.Collector estimatedRowSize(EstimatedHistogram estimatedRowSize)

    - #### estimatedColumnCount

          public SSTableMetadata.Collector estimatedColumnCount(EstimatedHistogram estimatedColumnCount)

    - #### replayPosition

          public SSTableMetadata.Collector replayPosition(ReplayPosition replayPosition)

    - #### addAncestor

          public SSTableMetadata.Collector addAncestor(int generation)

Copyright © 2014 The Apache Software Foundation